HF_Antenna

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Enumerations Enumerator
Public Member Functions | Private Slots | Private Attributes
Antenna_w Class Reference

`#include <antenna_w.h>`

Collaboration diagram for Antenna_w:
[legend]

List of all members.

## Public Member Functions
| Antenna_w (QWidget *parent=0)
| ~Antenna_w ()
void | init_Antenna ()
| Initialise la page de démarrage.
void | setAntenna (QWidget *ant, bool val)
| Masque ou affiche la fenêtre.

## Private Slots
void | on_actionConfig_triggered ()
| Slot appelé lors d'une action sur le bouton actionConfig.
void | on_actionCoverage_triggered ()
| Slot appelé lors d'une action sur le bouton actionCoverage.
void | on_actionFactory_settings_triggered ()
| Slot appelé lors d'une action sur le bouton actionFactory_settings.
void | on_actionMeasurement_triggered ()
| Slot appelé lors d'une action sur le bouton actionMeasurement.
void | on_actionTest_System_triggered ()
| Slot appelé lors d'une action sur le bouton actionTest_System.
void | on_actionSwitching_triggered ()
| Slot appelé lors d'une action sur le bouton actionSwitching.
void | on_actionClear_triggered ()
| Slot appelé sur une action du menu Clear.
void | set_Text (QString text)
| Slot appelé pour afficher du text dans la fenêtre RxData.

## Private Attributes
Ui::Antenna_w * | ui
QString | text_

## Constructor & Destructor Documentation

Antenna_w::Antenna_w | ( | QWidget * | parent = `0` | ) |
| explicit

Antenna_w::~Antenna_w | ( |  | ) |

## Member Function Documentation

void Antenna_w::init_Antenna | ( |  | ) |

Initialise la page de démarrage.

void Antenna_w::on_actionClear_triggered | ( |  | ) |
| private slot

Slot appelé sur une action du menu Clear.

Efface la fenêtre RxData

void Antenna_w::on_actionConfig_triggered | ( |  | ) |
| private slot

Slot appelé lors d'une action sur le bouton actionConfig.

Affiche le titre de la fenêtre correspondante

void Antenna_w::on_actionCoverage_triggered | ( |  | ) |
| private slot

Slot appelé lors d'une action sur le bouton actionCoverage.

Affiche le titre de la fenêtre correspondante

void Antenna_w::on_actionFactory_settings_triggered | ( |  | ) |
| private slot

Slot appelé lors d'une action sur le bouton actionFactory_settings.

Affiche le titre de la fenêtre correspondante

void Antenna_w::on_actionMeasurement_triggered | ( |  | ) |
| private slot

Slot appelé lors d'une action sur le bouton actionMeasurement.

Affiche le titre de la fenêtre correspondante

void Antenna_w::on_actionSwitching_triggered | ( |  | ) |
| private slot

Slot appelé lors d'une action sur le bouton actionSwitching.

Affiche le titre de la fenêtre correspondante

void Antenna_w::on_actionTest_System_triggered | ( |  | ) |
| private slot

Slot appelé lors d'une action sur le bouton actionTest_System.

Affiche le titre de la fenêtre correspondante

void Antenna_w::set_Text | ( | QString | text | ) |
| private slot

Slot appelé pour afficher du text dans la fenêtre RxData.

void Antenna_w::setAntenna | ( | QWidget * | ant,
|  | bool | val
| ) |  |

Masque ou affiche la fenêtre.

Parameters:

  [in] | QWidget | *ant Fenêtre a afficher ou pas
  [in] | bool | val true = visible, false = invisible

## Member Data Documentation

QString Antenna_w::text_
| private

Ui::Antenna_w* Antenna_w::ui
| private

The documentation for this class was generated from the following files:

- C:/Users/Sarah/Documents/Langage_C++/HF_ANTENNA/Project/antenna_w.h
- C:/Users/Sarah/Documents/Langage_C++/HF_ANTENNA/Project/antenna_w.cpp